#
# spec file for package ghc-tagged
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name tagged

Name:           ghc-tagged
Version:        0.8.4
Release:        1.2
Summary:        Haskell 98 phantom types to avoid unsafely passing dummy arguments
License:        BSD-3-Clause
Group:          System/Libraries

Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-deepseq-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-template-haskell-devel

%description
Haskell 98 phantom types to avoid unsafely passing dummy arguments.


%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)
%doc README.markdown

%changelog
* Tue Apr 26 2016 mimi.vx@gmail.com
- update to 0.8.4
  * Backport the Alternative, MonadPlus, and MonadZip instances for Proxy from base-4.9
  * Add Bits, FiniteBits, IsString, and Storable instances for Tagged
* Fri Jan 29 2016 mimi.vx@gmail.com
- update to 0.8.3
  * Manual Generic1 support to work around a bug in GHC 7.6
  * Invert the dependency to supply the Semigroup instance ourselves
    when building on GHC 8
* Sun Nov  8 2015 mimi.vx@gmail.com
- update to 0.8.2
  * deepseq support
* Fri Aug  7 2015 mimi.vx@gmail.com
- update to 0.8.1
  * Add KProxy to the backwards compatibility Data.Proxy module.
  * Add a Generic instance to Proxy.
  * Added Data.Proxy.TH, based on the code from Frames by Anthony Cowley.
  * Removed reproxy from Data.Proxy. This is a bad API decision, but it isn't present
  in GHC's Data.Proxy, and this makes the API more stable.
* Sat Apr 25 2015 mimi.vx@gmail.com
- update to 0.7.3
  * Support `Data.Bifunctor` in `base` for GHC 7.9+.
  * Fixed warning on GHC 7.8
  * Added `tagWith`.
* Wed Oct  9 2013 sbahling@suse.com
- Update to 0.7 using cabal-rpm template
* Fri Jun  8 2012 peter.trommler@ohm-hochschule.de
- use cabal2spec 0.25.5 spec file template
* Sat Jan 21 2012 herbert@graeber-clan.de
- initial packaging for Fedora automatically generated by cabal2spec-0.24.1
